<?php

namespace domain\Producer\ProducerPriceRange;

use domain\_\AbstractBuilder;

class ProducerPriceRangeBuilder extends AbstractBuilder
{
    public function instanciateProducerPriceRange(): ProducerPriceRange
    {
        $producerPriceRange = new ProducerPriceRange();

        return $producerPriceRange;
    }

    public function createProducerPriceRange(): ProducerPriceRange
    {
        $producerPriceRange = $this->instanciateProducerPriceRange();
        $this->create($producerPriceRange);

        return $producerPriceRange;
    }
}